1. admin-workspaces
Docpier IDP API
  • IDP API
  • Webhook
  • Endpoints
    • agent
      • Upload a document
      • Retrieve structured data
      • Stream Document Content
      • Provide feedback
      • Get Document Feedback
    • admin-workspaces
      • Admin List Workspaces
        GET
      • Admin Create Workspace
        POST
      • Admin Get Workspace
        GET
      • Admin Patch Workspace
        PATCH
      • Admin Grant Workspace Access
        POST
      • Admin Revoke Workspace Access
        DELETE
      • Admin List Keycloak Agent Client Credentials
        GET
      • Admin Create Keycloak Agent Client
        POST
      • Admin Get Workspace Settings
        GET
      • Admin Merge Workspace Settings
        PATCH
      • Admin List Webhooks
        GET
      • Admin Create Webhook
        POST
      • Admin Patch Webhook
        PATCH
      • Admin Delete Webhook
        DELETE
      • Admin Meta Document Types
        GET
  1. admin-workspaces

Admin Merge Workspace Settings

PATCH
/admin/workspaces/{workspaceId}/settings

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://test.your-api-server.com/admin/workspaces//settings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "merge": {
        "property1": "string",
        "property2": "string"
    }
}'
Response Response Example
{
    "workspace_id": "string",
    "settings": {
        "property1": "string",
        "property2": "string"
    }
}
Modified at 2026-05-16 21:22:56
Previous
Admin Get Workspace Settings
Next
Admin List Webhooks
Built with